Subject: bug#431 closed by Mark Hindley <[email-masked]> (Re: vim-gtk3: Unreadable font since update to gtk3)

From: "Devuan bug Tracking System" <[email-masked]>
Date: Tue, 28 Apr 2020 09:33:05 +0000

This is an automatic notification regarding your bug report
which was filed against the vim-gtk3 package:

#431: vim-gtk3: Unreadable font since update to gtk3

It has been closed by Mark Hindley <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Mark Hindley <[email-masked]> by
replying to this email.

-- 
431: https://bugs.devuan.org/cgi/bugreport.cgi?bug=431
Devuan Bug Tracking System
Contact [email-masked] with problems

Subject: Re: vim-gtk3: Unreadable font since update to gtk3
From: Mark Hindley <[email-masked]>
To: Klaus Ethgen <[email-masked]>
Cc: [email-masked]
Date: Tue, 28 Apr 2020 10:16:39 +0100

On Mon, Apr 27, 2020 at 05:18:09PM +0100, Klaus Ethgen wrote:
> Hi Mark,
> 
> Am Mo den 27. Apr 2020 um 16:41 schrieb Mark Hindley:
> > What does your .vimrc contain? In partcular do you have settings for guifont
> > and/or guifontwide?
> 
> Good point. I have such a part since ages in my .vimrc and even don't
> know the original reason:
> ```
> set gcr+=a:blinkon0
> set gfn=9x13
> set guioptions=agimlTf
> set guifont=Courier\ 10\ Pitch\ 10
> ```
> 
> > If you do, does removing them and using the default fix it?
> 
> Removing the second and forth setting helps indeed.

Good. I will close this report as a configuration error.

Feel free to reopen if you are not happy with that.

> I am not sure  why that made problems with GTK3 and did not with GTK2.

No, nor me. Since neither vim not gtk2/3 is forked in Devuan, if you really
think that is a bug you would be better raising it on Debian's BTS.

Thanks

Mark

Subject: vim-gtk3: Unreadable font since update to gtk3
From: Klaus Ethgen <[email-masked]>
To: [email-masked]
Date: Mon, 27 Apr 2020 09:12:07 +0100

Package: vim-gtk3
Version: 2:8.2.0510-1

I used vim-gtk for ages without problems. Most of the time I use it on
the console which is also working with the new version but some times I
need to use gvim (Mainly when I have to edit files with foreign UTF-8
chars in it as my console is not capable to display other than latin1).

Since the update that dropped the gtk2 version, gvim is not usable
anymore. When I start it, it comes up with an unreadable font like it
the attached screenshot.

I know that I can choose the font in edit menu but it will be the same
unreadable font the next start.

I have no idea what font gvim with gtk3 is using and I have no idea how
to get back a readable font there.

Regards
   Klaus
-- 
Klaus Ethgen                                       http://www.ethgen.ch/
pub  4096R/4E20AF1C 2011-05-16            Klaus Ethgen <[email-masked]>
Fingerprint: 85D4 CA42 952C 949B 1753  62B3 79D0 B06F 4E20 AF1C